CentOS6 to CentOS7 Migration Failure

Ask questions about your setup or get help installing ZCS server (ZD section below).
tonyawbrey
Posts: 8
Joined: Thu Sep 04, 2014 7:16 am

CentOS6 to CentOS7 Migration Failure

Postby tonyawbrey » Wed Jan 03, 2018 6:37 pm

I am trying to migrate from Zimbra 8.8.5 on CentOS6 to Zimbra 8.8.5 on CentOS7. I have followed the directions from this wiki and cannot seem to get it to work. https://wiki.zimbra.com/wiki/How_to_mov ... her_server. I run the ./install.sh -s and then blow away the /opt/zimbra directory and restore the /opt/zimbra directory from my CentOS6 server to the new CentOS7 server and fix permissions. But when I then run the ./install.sh I always get the following error.

[root@mail zcs]# ./install.sh

Operations logged to /tmp/install.log.sYocGDLi
Checking for existing installation...
zimbra-chat...FOUND zimbra-chat-1.0.11+1509959286-2
zimbra-drive...FOUND zimbra-drive-1.0.10+1504094450-1
zimbra-imapd...FOUND zimbra-imapd-8.8.5_GA_1894
zimbra-network-modules-ng...NOT FOUND
zimbra-ldap...FOUND zimbra-ldap-8.8.5_GA_1894
zimbra-logger...FOUND zimbra-logger-8.8.5_GA_1894
zimbra-mta...FOUND zimbra-mta-8.8.5_GA_1894
zimbra-dnscache...FOUND zimbra-dnscache-8.8.5_GA_1894
zimbra-snmp...FOUND zimbra-snmp-8.8.5_GA_1894
zimbra-store...FOUND zimbra-store-8.8.5_GA_1894
zimbra-apache...FOUND zimbra-apache-8.8.5_GA_1894
zimbra-spell...FOUND zimbra-spell-8.8.5_GA_1894
zimbra-convertd...NOT FOUND
zimbra-memcached...FOUND zimbra-memcached-1.4.37-2
zimbra-proxy...FOUND zimbra-proxy-8.8.5_GA_1894
zimbra-archiving...NOT FOUND
zimbra-core...FOUND zimbra-core-8.8.5_GA_1894
ZCS upgrade from 8.8.5 to 8.8.5 will be performed.
Validating ldap configuration
/usr/bin/perl: symbol lookup error: /opt/zimbra/common/lib/perl5//x86_64-linux-thread-multi/auto/Socket/Socket.so: undefined symbol: Perl_Istack_sp_ptr
Unknown Error: It should be impossible to reach this statement.

I am at my wits end with this I have been searching and searching and can't seem to find a solution. Any help or pointer in the right directions would be greatly appreciated.


phoenix
Ambassador
Ambassador
Posts: 25724
Joined: Fri Sep 12, 2014 9:56 pm

Re: CentOS6 to CentOS7 Migration Failure

Postby phoenix » Wed Jan 03, 2018 6:45 pm

You should use the ZeXtras Migration Tool, it's easy, it's free to use and it works - what more could you ask for?
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
tonyawbrey
Posts: 8
Joined: Thu Sep 04, 2014 7:16 am

Re: CentOS6 to CentOS7 Migration Failure

Postby tonyawbrey » Wed Jan 03, 2018 7:14 pm

Bill,

I understand that is your answer to almost every post that has anything to do with migrating, I have used the other method I outlined in my post successfully in the past and didn't feel it was too difficult either when I migrated from CentOS5 to CentOS6. If I can't get it migrated I guess I will just spin up a CentOS6 VM and keep using it.


Thanks,

Tony
phoenix
Ambassador
Ambassador
Posts: 25724
Joined: Fri Sep 12, 2014 9:56 pm

Re: CentOS6 to CentOS7 Migration Failure

Postby phoenix » Wed Jan 03, 2018 7:22 pm

tonyawbrey wrote:Bill,

I understand that is your answer to almost every post that has anything to do with migrating,
Does that comment somehow make my recommendation invalid? I've use every method that's been discussed for moving a ZCS install to a new server, they all mostly work (or fail occasionally) but the ZeXtras tool has always worked for me and many other users.

tonyawbrey wrote:..I have used the other method I outlined in my post successfully in the past and didn't feel it was too difficult either when I migrated from CentOS5 to CentOS6.
Good for you, how's this attempt going? ;)

tonyawbrey wrote: If I can't get it migrated I guess I will just spin up a CentOS6 VM and keep using it.
So what's the objection to using a free tool that's provided for just this situation? It's such a good product that Zimbra now use it in the Network Edition and it replaced their backup/restore solution. As always my advice is given after using the products I recommend, you are always free to ignore it and continue using whatever method you choose.
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
tonyawbrey
Posts: 8
Joined: Thu Sep 04, 2014 7:16 am

Re: CentOS6 to CentOS7 Migration Failure

Postby tonyawbrey » Wed Jan 03, 2018 8:19 pm

I downloaded the latest Zextras migration tool and it doesn't support 8.8.5 so that is a dead end for now too. I get the following error trying to install it.

Checking for existing installations...

FOUND Zimbra 8.8.5

The ZeXtras Installer is not compatible with the Zimbra version you are running.
phoenix
Ambassador
Ambassador
Posts: 25724
Joined: Fri Sep 12, 2014 9:56 pm

Re: CentOS6 to CentOS7 Migration Failure

Postby phoenix » Wed Jan 03, 2018 8:40 pm

My apologies for that, I thought the download version must have been updated as the version shown on the wiki article is 2.6.1 here: https://wiki.zextras.com/wiki/ZeXtras_M ... ol_package

Obviously 2.6.1 is the version that's compatible for the ZCS 8.8.x release, I've posted a message on their forums and we'll see what the reply is.
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
User avatar
JDunphy
Outstanding Member
Outstanding Member
Posts: 282
Joined: Fri Sep 12, 2014 11:18 pm
Location: Victoria, BC
ZCS/ZD Version: Release 8.7.11_GA_1854.RHEL6_64.P6
Contact:

Re: CentOS6 to CentOS7 Migration Failure

Postby JDunphy » Wed Jan 03, 2018 8:59 pm

Unless I am misunderstanding what you are doing, this technique could be a challenge. It sounds like you are installing different perl versions... ie. you have perl libraries that were compiled and defined for centos 6 that are not playing well with your new centos 7 environment after you rsync them over and install.sh aborts.

Short of moving the zimbra Socket.io library out of the way ( forcing the centos 7 version of Socket.io to be used) and then using trial and error one at a time until it kind of works so you can bootstrap your way up and get your centos 7 zimbra executables, libraries, updated by a successful run of install.sh. The other method is to only rsync the data over like we did for the 32bit to 64bit migrations so you can get your install.sh to run to completion.

Code: Select all

mv /opt/zimbra/common/lib/perl5//x86_64-linux-thread-multi/auto/Socket/Socket.so /opt/zimbra/common/lib/perl5//x86_64-linux-thread-multi/auto/Socket/Socket.so.bak
install.sh


repeat moving libs out of the way until install.sh can run to completion and fix everything. I think that was what you were attempting to do correct? You might also be able to force the PATH (ie. @INC) that perl uses to bootstrap enough so that install.sh can finish.

Jim
phoenix
Ambassador
Ambassador
Posts: 25724
Joined: Fri Sep 12, 2014 9:56 pm

Re: CentOS6 to CentOS7 Migration Failure

Postby phoenix » Fri Jan 05, 2018 9:34 am

tonyawbrey wrote:The ZeXtras Installer is not compatible with the Zimbra version you are running.
You should find the releases are now correct on the downloads page, don't forget that you need the Migration Tool on the 'old' server (that's currently version 2.4.12) to export the data and the ZeXtras package on the new server to do the import.
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
iming1011
Posts: 1
Joined: Thu Jun 07, 2018 12:13 pm

Re: CentOS6 to CentOS7 Migration Failure

Postby iming1011 » Thu Jun 07, 2018 12:26 pm

I am using zimbra8.8.8 to migrate from centos6 to centos7, and I get the same error message.

Please try to launch the installation with -s option. So the process is:


./install.sh -s

Follow the steps


When finish, launch the regular installation:


./install.sh


Then it succeeded.

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 11 guests